org.eclipse.aether.resolution

## Class ArtifactDescriptorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.resolution.ArtifactDescriptorException

- All Implemented Interfaces:
    Serializable

      public class ArtifactDescriptorException
      extends RepositoryException

  Thrown in case of an unreadable or unresolvable artifact descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtifactDescriptorException(ArtifactDescriptorResult result)`
    `ArtifactDescriptorException(ArtifactDescriptorResult result, String message)`
    `ArtifactDescriptorException(ArtifactDescriptorResult result, String message, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactDescriptorResult` | `getResult()`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtifactDescriptorException

          public ArtifactDescriptorException(ArtifactDescriptorResult result)

    - #### ArtifactDescriptorException

          public ArtifactDescriptorException(ArtifactDescriptorResult result,
                                     String message)

    - #### ArtifactDescriptorException

          public ArtifactDescriptorException(ArtifactDescriptorResult result,
                                     String message,
                                     Throwable cause)

  - ### Method Detail

    - #### getResult

          public ArtifactDescriptorResult getResult()

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.